<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Report_gugatan_sederhana_penyelesaian_perkara extends CI_Model{
	
	function get_info_pn(){
		try {
			$this->db->select('*');
			$this->db->where('id >=', 61); 
			return $this->db->get('sys_config');
		} catch (Exception $e) {
			log_message('error', $e);
		}
	}
	function getJenisPerkara($idalurperkara){
		if(empty($idalurperkara)) return '';
		try {
			$this->db->where('id',$idalurperkara);
			return $this->db->get('alur_perkara')->row()->nama;
		} catch (Exception $e) {
			log_message('error', $e);
		}
	}

	function get_rekap($idalurperkara,$year){
		try {
			return $this->db->query("SELECT
				jenisPerkara.nama AS jenis_perkara_nama,
				GROUP_CONCAT(jenisPerkara.id) AS IDJenisPerkara,
				(SELECT COUNT(*) FROM v_perkara 
					WHERE jenis_perkara_id IN (GROUP_CONCAT(jenisPerkara.id))
					AND YEAR(sidang_pertama)='".$year."'
					AND alur_perkara_id='".$idalurperkara."'
					) AS jumlahPerkara,
				(SELECT COUNT(*) FROM v_perkara 
					WHERE DATEDIFF(tanggal_putusan,sidang_pertama)<=7 
					AND jenis_perkara_id IN (GROUP_CONCAT(jenisPerkara.id))
					AND YEAR(sidang_pertama)='".$year."'
					AND alur_perkara_id='".$idalurperkara."'
					) AS value1,
				(SELECT COUNT(*) FROM v_perkara 
					WHERE DATEDIFF(tanggal_putusan,sidang_pertama)>=8
					AND DATEDIFF(tanggal_putusan,sidang_pertama)<=14 
					AND jenis_perkara_id IN (GROUP_CONCAT(jenisPerkara.id))
					AND YEAR(sidang_pertama)='".$year."'
					AND alur_perkara_id='".$idalurperkara."'
					) AS value2,
				(SELECT COUNT(*) FROM v_perkara 
					WHERE DATEDIFF(tanggal_putusan,sidang_pertama)>=15
					AND DATEDIFF(tanggal_putusan,sidang_pertama)<=25 
					AND jenis_perkara_id IN (GROUP_CONCAT(jenisPerkara.id))
					AND YEAR(sidang_pertama)='".$year."'
					AND alur_perkara_id='".$idalurperkara."'
					) AS value3,
				(SELECT COUNT(*) FROM v_perkara 
					WHERE DATEDIFF(tanggal_putusan,sidang_pertama)>=22
					AND DATEDIFF(tanggal_putusan,sidang_pertama)<=25 
					AND jenis_perkara_id IN (GROUP_CONCAT(jenisPerkara.id))
					AND YEAR(sidang_pertama)='".$year."'
					AND alur_perkara_id='".$idalurperkara."'
					) AS value4,
				(SELECT COUNT(*) FROM v_perkara 
					WHERE DATEDIFF(tanggal_putusan,sidang_pertama)>=26
					AND jenis_perkara_id IN (GROUP_CONCAT(jenisPerkara.id))
					AND YEAR(sidang_pertama)='".$year."'
					AND alur_perkara_id='".$idalurperkara."'
					) AS value5
				FROM v_jenis_perkara AS jenisPerkara
				WHERE jenisPerkara.alur_perkara_id='".$idalurperkara."'
				GROUP BY jenisPerkara.nama
				ORDER BY jenisPerkara.nama ASC");
		} catch (Exception $e) {
			
		}
	}
}